[Pkg-gpe-maintainers] Bug#560598: gpe-shield: [FTBFS] open() needs mode in backend.c to compile in GCC 4.4

Alfonso Cepeda Caballos cepeda at gmail.com
Fri Dec 11 12:11:27 UTC 2009

Package: gpe-shield
Version: 0.31-3
Severity: important
Tags: patch
Justification: fails to build from source
User: ubuntu-devel at lists.ubuntu.com
Usertags: origin-ubuntu karmic ubuntu-patch

In Ubuntu, we've applied the attached patch to achieve the following:

  * [FTBFS] open() needs mode if O_CREAT in backend.c to be build
    in GCC 4.4 (LP: #495448)

We thought you might be interested in doing the same. 

-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-16-generic (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
-------------- next part --------------
A non-text attachment was scrubbed...
Name: tmpAkbWD6
Type: text/x-diff
Size: 723 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-gpe-maintainers/attachments/20091211/376bb9c4/attachment.diff>

More information about the Pkg-gpe-maintainers mailing list